// Oleg Petruny proprietary.

#pragma once

#include "CoreMinimal.h"
#include "InteractableActivator.h"

#include "RaycastInteractableActivator.generated.h"

UCLASS(Blueprintable, BlueprintType)
class URaycastInteractableActivator : public UInteractableActivator
{
    GENERATED_BODY()

public:
    URaycastInteractableActivator(const FObjectInitializer& ObjectInitializer);

    virtual void Rescan_Implementation() override;

protected:
    virtual void Scan_Implementation() override;

private:
    class AInteractable* _last = nullptr;
    bool _activated = false;
};
